#!/usr/bin/php
<?
/***************************************************************************
 *   Copyright (C) 2005 by Ferenc Veres   *
 *   lion@netngine.hu   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(empty($argc))
{
	exit;
}
if(!extension_loaded('php_qt')) {
	dl('php_qt.so');
}

include_once('QtBackend.php');
include_once('lib-qt/MainWindow.php');

$app = new QApplication(&$argc,$argv);
$widget = new MainWindow();
$widget->show();

$app->exec();

class ProjectTreeModel extends QAbstractItemModel
{
	public $rootItem;
	public $headerData;
	
	function __construct($data = 0, $parent = 0)
	{
		parent::__construct($parent);
		$this->rootItem = new ProjectTreeItem();
		$this->headerData = new QVariant();
		$this->headerData->setValue("hello");
	}

	function data(QModelIndex &$index, $role)
	{
		return $this->rootItem;
	}
	function flags(QModelIndex &$index)
	{
	}
	
	function headerData($section, $orientation, $role)
	{
		return $this->headerData;
	}
	
	function index($row, $column, &$parent)
	{
		return new QModelIndex();
	}
	
	function parent($index)
	{
		return null;
	}

	function rowCount($parent)
	{
		return 1;
	}

	function columnCount($parent)
	{
		return 1;
	}

}

class ProjectTreeItem
{
	public $parent;
	public $row = 0;
	function childCount()
	{
		return 0;
	}
	function columnCount()
	{
		return 1;
	}
	function data($column)
	{
		return "feri";
	}
	function parent()
	{
		return $this->parent;
	}
}


?>
