<?
/***************************************************************************
 *   Copyright (C) 2005 by Ferenc Veres   *
 *   lion@netngine.hu   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
include_once("ITranslationExport.php");
include_once("TranslationExportXaraya.php");

/**
* Factory to create the requested exporter class
*/

class ExporterFactory
{
	/**
	* Create a new exporter creating factory
	*/
	
	function __construct()
	{
	}
		
	/**
	* Create the requested exporter object
	*
	* @param type The exporter type, currently only 'Xaraya' supported.
	*/
	public function NewExporter($type)
	{
		switch($type)
		{
			case 'Xaraya': return new TranslationExportXaraya();
			default: throw new Exception("NewExporter: Creating unknown exporter: $type");
		}
	}
}
?>
