<?

/***************************************************************************
 *   Copyright (C) 2005 by Ferenc Veres   *
 *   lion@netngine.hu   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
include('WebBackend.php');

$backend = new WebBackend();
$backend->EventHandler();

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>TranslationMemory</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="style.css" type="text/css" media="screen" />
<script type="text/javascript" src="diff.js"></script>
</head>
<body>
<form action="WebGUI.php" method="post" name="__Form" id="__Form">
<input type="hidden" name="__Event" value="" id="__Event" />

<!-- backend variables (documented in TranslationBackend class) -->
<input type="hidden" name="xStringID" value="<? echo $backend->xStringID ?>" id="xStringID" />
<input type="hidden" name="xProjectID" value="<? echo $backend->xProjectID ?>" id="xProjectID" />
<input type="hidden" name="xOldLocaleID" value="<? echo $backend->xOldLocaleID ?>" id="xOldLocaleID" />

<input type="hidden" name="xStringStack" value="<? echo $backend->xStringStack ?>" id="xStringStack" />
<input type="hidden" name="xBrowserHelper" value="<? echo $backend->xBrowserHelper ?>" id="xBrowserHelper" />
<input type="hidden" name="xDelStringID" value="0" id="xDelStringID" />
<input type="hidden" name="xDelProjectID" value="0" id="xDelProjectID" />

<!-- client side variables -->

<!-- Editor field changed and operation requires confirmation -->
<input type="hidden" name="htmlEditorChanged" value="0" id="htmlEditorChanged" />

<!-- Value of the stack when this page was loaded, to mark older items -->
<input type="hidden" name="htmlPageLoadStack" value="<? echo $backend->xStringStack ?>" id="htmlPageLoadStack" />

<!-- The English original of the current string, for diff.js comparison -->
<input type="hidden" name="htmlOriginalString" value="<?
	if(!empty($backend->LocatedString))
	{
		echo FixQuot($backend->LocatedString->GetOriginal());
	}
	?>" id="htmlOriginalString"/>

<table class="layout">
<tr><td valign="top" class="projecttree">

	<!-- *** PROJECT TREE *** -->

<?
	if(!empty($backend->LocatedProjects))
	{
		// Display project path down from root to current in nested LI-st.
		for($i = count($backend->LocatedProjects)-1; $i >= 0; $i--)
		{
			// css class for current project
			$css = "";
			if($backend->LocatedProjects[$i]->GetID() == $backend->xProjectID)
			{
				$css = " class=\"current\"";
			}

			// Show project tree entry
			echo "<ul class=\"projecttree\">\n<li$css><a href=\"javascript:__TriggerEvent('setproject', true, 'xProjectID','". $backend->LocatedProjects[$i]->GetID()."')\">";
			echo $backend->LocatedProjects[$i]->GetName();
			echo "</a>";
			
			// Dead project?
			if($backend->RootLastSeen > $backend->LocatedProjects[$i]->GetLastSeen())
			{
				echo " +";
			}
		}

		// Any childprojects in the iterator? List them!
		if($backend->ChildProjects->valid())
		{
			echo "<ul class=\"projecttree\">\n";
			foreach($backend->ChildProjects as $project)
			{
				// css class for current project
				$css = "";
				if($project->GetID() == $backend->xProjectID)
				{
					$css = " class=\"current\"";
				}
				echo("<li$css><a href=\"javascript:__TriggerEvent('setproject', true, 'xProjectID','". $project->GetID()."')\">");
				echo($project->GetName());
				echo("</a>");
				
				// Dead project?
				if($backend->RootLastSeen > $project->GetLastSeen())
				{
					echo " +++";
				}
				
				echo("</li>\n");
			}
			echo "</ul>";
			
		}
		for($i = count($backend->LocatedProjects)-1; $i >= 0; $i--)
		{
			echo "</li>\n</ul>\n";
		}
	}
?>
</td>

<td valign="top">

	<!-- *** ONE STRING EDITOR *** -->

<?
	// Show one string details if it was a locate event
	if(!empty($backend->LocatedString))
	{
		?>
		<h1>Translation string editor area</h1>

		<?
		$stringIsDead = ($backend->RootLastSeen > $backend->LocatedString->GetLastSeen());
		if($stringIsDead)
		{
			// Open a dark gray area
			echo("<div class=\"located-dead\">");
		}
		?>
		<table class="located">
		<tr><th>Project Path</th>
		<td><? 
	
		// Display project path
		if(!empty($backend->LocatedProjects))
		{
			for($i = count($backend->LocatedProjects)-1; $i >= 0; $i--)
			{
				// HARDCODE: XARAYA Warning
				$style = "";
				if($i == 0 && $backend->LocatedProjects[$i]->GetName() == "fuzzy.xml")
				{
					$style = "style=\"font-size: 25px\"";
				}

				// Display project path entries
				echo "<a $style href=\"javascript:__TriggerEvent('setproject', true, 'xProjectID','". $backend->LocatedProjects[$i]->GetID()."')\">";
				echo $backend->LocatedProjects[$i]->GetName();
				echo "</a>";
				if($i != 0)
				{
					echo " -&gt; ";
				}
			}
		}
		?></td></tr>
		<tr><th>Original</th>
		<td><? echo FixQuot($backend->LocatedString->GetOriginal()) ?></td></tr>
		<tr><th><u>E</u>dit translation</th>
		<td><?
			$disableField = ($stringIsDead ? "disabled=\"disabled\"" : "");
			// Long or short input fields for editing
			if(strlen($backend->LocatedString->GetOriginal()) < 100)
			{
				echo "<input class=\"editshort\" type=\"text\" accesskey=\"e\" name=\"txtEditString_".$backend->xBrowserHelper."\" id=\"txtEditString_".$backend->xBrowserHelper."\" value=\"";
				echo FixQuot($backend->LocatedString->GetTranslation());
				echo "\" onchange=\"editorChanged();\" tabindex=\"1\" $disableField/>";
			}
			else
			{
				echo "<textarea class=\"editlong\" cols=\"80\" rows=\"8\" accesskey=\"e\" name=\"txtEditString_".$backend->xBrowserHelper."\" id=\"txtEditString_".$backend->xBrowserHelper."\" onchange=\"editorChanged();\" tabindex=\"1\" $disableField>";
				echo FixQuot($backend->LocatedString->GetTranslation());
				echo "</textarea>";
			}
		?>
		</td></tr>
		</table>
		<?
		// Enable/disable various buttons
		$stackLength = 0;
		if($backend->xStringStack != "")
		{
			$stackLength = count(split(',', $backend->xStringStack));
		}
		$saveDisabled = "class=\"button-disabled\" disabled=\"disabled\"";
		$saveEnabled = "class=\"button\"";
		if($stringIsDead)
		{
			// Close dark gray area
			echo("</div>");

			$saveType = $saveDisabled;
			$saveTypePop = $saveDisabled;
		}
		else
		{
			$saveType = $saveEnabled;
			$saveTypePop = $saveEnabled;

			// If no stack disable "save + pop" and "save to all stacked"
			if($stackLength == 0)
			{
				$saveTypePop = $saveDisabled;
			}
		}
		?>
		<input <? echo $saveType; ?> type="button" onclick="__TriggerEvent('savenext', false);" value="Save + Next" tabindex="2" />
		<button <? echo $saveType; ?> type="button" onclick="__TriggerEvent('savenextmissing', false);" tabindex="3" accesskey="s"><u>S</u>ave + Next missing</button>
		<input <? echo $saveType; ?> type="button" onclick="__TriggerEvent('save', false);" value="Save" tabindex="4" />
		<!-- input class="button" type="button" onclick="__TriggerEvent('previous');" value="Previous" />
		<input class="button" type="button" onclick="__TriggerEvent('previoumissing');" value="Previous missing" / -->
		<input class="button" type="button" onclick="__TriggerEvent('next', true);" value="Next" tabindex="5" />
		<button class="button" type="button" onclick="__TriggerEvent('nextmissing', true);" tabindex="6" accesskey="n" tabindex="6"><u>N</u>ext missing</button>
		
		Stack control: <button <? echo $saveTypePop; ?> type="button" onclick="__TriggerEvent('savepopstack', false);" tabindex="7" accesskey="p" id="btnSavePopStack">Save + <u>p</u>op</button>
		<input <? echo $saveType; ?> type="button" onclick="if(confirm('Operation will OVERWRITE all selected strings and current string!')) { __TriggerEvent('savetoallchecked', false); }" value="Save to all chekced" tabindex="8" />
		<?
		}

?>
	<!-- *** STACK *** -->

<div id="stack">
<h1>Stack</h1>
Contents: [<span id="plhStackView"></span>]
<?
if(!empty($backend->LocatedString))
{
	?>
	<input class="codebutton" type="button" onclick="pushToStack('<? echo($backend->LocatedString->GetStringID()); ?>');" value="push" tabindex="7" />
	<?
}
?>
<input class="codebutton" type="button" onclick="popFromStack();" value="pop" tabindex="9" />
<input class="codebutton" type="button" onclick="clearStack();" value="clear" tabindex="10" />
</div>
<?

if(!empty($backend->CurrentStrings))
{
	?>
	
	<!-- *** CURRENT PROJECT'S STRINGS *** -->

	<p><a href="javascript:toggleStrings()" accesskey="t"><span class="underunder">t</span>oggle strings</a></p>
	<div id="divStrings">
	<h1>Strings in the currently selected project</h1>
	<?

	$addHeader = true;
	foreach($backend->CurrentStrings as $str)
	{
		// Draw header if not done yet
		if($addHeader)
		{
			?>
			<table class="strings">
			<tr><th>Original string</th>
			<th>Translated string</th>
			<th>Action</th></tr>
			<?
			$addHeader = false;
		}
		if(!empty($backend->LocatedString) && $backend->LocatedString->GetStringID() == $str->GetStringID())
		{
			echo("<tr class=\"selected\">");
		}
		else
		{
			echo("<tr>");
		}
		
		echo("<td class=\"string-original\">".FixQuot($str->GetOriginal())."</td>");
		echo("<td class=\"string-translation\">".FixQuot($str->GetTranslation())."</td>");
		echo("<td><a href=\"javascript:__TriggerEvent('editstring', true, 'xStringID','".$str->GetStringID()."');\">Edit</a>");
		
		// Dead string?
		if($backend->RootLastSeen > $str->GetLastSeen())
		{
			echo " +++ ";
			echo("<a href=\"javascript:if(confirm('Are you sure to delete from Translation Memory?')) { __TriggerEvent('deletestring', true, 'xDelStringID', '".$str->GetStringID()."'); }\">Del</a>");
		}

		echo("</td>");
		echo("</tr>\n");
	}
	if($addHeader)
	{
		// No strings for this project: "next" buttons only
		?>
		<p>There are no strings in the current project.</p>
		Find strings: <input class="button" type="button" onclick="__TriggerEvent('next', true);" value="Next" />
		<button class="button" type="button" onclick="__TriggerEvent('nextmissing', true);" accesskey="n"><u>N</u>ext missing</button>
		<?
		
		// Deletion of empty and dead projects
		$backend->ChildProjects->rewind();

		if($backend->RootLastSeen > $backend->LocatedProjects[0]->GetLastSeen() &&
			!$backend->ChildProjects->valid())
		{
			echo("<p>The <em>".$backend->LocatedProjects[0]->GetName()."</em> is an empty and dead project. ");
			echo("<input class=\"button\" type=\"button\" onclick=\"javascript:if(confirm('Are you sure to delete from Translation Memory?')) { __TriggerEvent('deleteproject', false, 'xDelProjectID', '". $backend->LocatedProjects[0]->GetID()."'); }\" value=\"Delete project\"/></p>");
		}

	}
	else
	{
		echo("</table>");
	}
	?></div><?
}

$sel = " selected=\"selected\"";
?>	<h1>Search</h1><a name="searchresults"></a>

	<!-- *** CUSTOM SEARCH BOX *** -->

<p>
<select name="ddlSearchType" id="ddlSearchType">
<option value="0"<? echo ($backend->ddlSearchType == 0 ? $sel : ""); ?>>Word index</option>
<option value="1"<? echo ($backend->ddlSearchType == 1 ? $sel : ""); ?>>Part in original</option>
<option value="2"<? echo ($backend->ddlSearchType == 2 ? $sel : ""); ?>>Part in translation</option>
</select>
<a href="javascript:clearFindText();">clear></a>
<input type="text"  size="35" id="txtFindText" name="txtFindText" value="<? echo FixQuot( $backend->txtFindText); ?>">
<input class="button" type="button" value="Find" onclick="__TriggerEvent('find', true);"/>
<!-- input class="button" type="button" value="Original"/--></p>


	<!-- *** SEARCH RESULTS *** -->


<?
// Show search results if there is any!
if(!empty($backend->Translations))
{
	$accessKey = 1;
	?>
	<table class="guesses">
	<tr><th></th>
	<th>Match</th>
	<th>Original string</th>
	<?
	if(!empty($backend->LocatedString))
	{
		echo("<th>alt</th>");
	}
	?>
	<th>Translated string (take by click)</th>
	<th>Action</th></tr>
	<?

	foreach($backend->Translations as $id => $tr)
	{
		foreach($tr["strings"] as $key => $str)
		{
			// Selected color or normal table row
			if(!empty($backend->LocatedString) && $backend->LocatedString->GetStringID() == $str->GetStringID())
			{
				echo("<tr id=\"tr_search_".$str->GetStringID()."\" class=\"selected\">");
			}
			else
			{
				echo("<tr id=\"tr_search_".$str->GetStringID()."\">");
			}

			// Checkbox column
			echo("<td class=\"guess-checkbox\">");
			if($backend->RootLastSeen <= $str->GetLastSeen())
			{
				echo(" <input type=\"checkbox\" name=\"chkSearchSelects[]\" value=\"".$str->GetStringID()."\"/>");
			}
			echo("</td>");

			// Percent column
			echo("<td class=\"guess-percent\">");
			if($backend->ddlSearchType == 0)
			{
				// Exact match? (Not only 100%, word index match, but same string.)
				if(!empty($backend->LocatedString) && $backend->LocatedString->GetOriginal() == $str->GetOriginal()) {
					echo("<b>identical</b>");
				}
				else
				{
					echo($tr["percent"]."%");
					echo(" <a id=\"diffLink_".$str->GetStringID()."\" href=\"javascript:diffToOriginal(".$str->GetStringID().");\">(?)</a>");
				}
			}
			echo("</td>");

			// String columns
			echo("<td id=\"original_".$str->GetStringID()."\" class=\"guess-original\">".FixQuot($str->GetOriginal())."</td>");
			
			// Add "Take string" link if editing one, no link otherwise
			if(!empty($backend->LocatedString))
			{
				// Accesskey 1-9
				echo("<td class=\"guess-accesskey\">");
				if($accessKey < 10 && $str->GetTranslation() != "")
				{
					echo("<a accesskey=\"$accessKey\" href=\"javascript:takeTranslation(".$str->GetStringID().");\"><span class=\"underunder\">$accessKey</span></a>");
					$accessKey++;
				}
				echo("</td>");

				// Translation with take link
				echo("<td class=\"guess-translated\">");
				echo("<a id=\"results_".$str->GetStringID()."\" href=\"javascript:takeTranslation(".$str->GetStringID().");\">".FixQuot($str->GetTranslation())."</a>");
				echo("</td>");
			}
			else
			{
				// Not pickable translation
				echo("<td class=\"guess-translated\">");
				echo(FixQuot($str->GetTranslation()));
				echo("</td>");
			}
			
			echo("<td class=\"guess-action\">");

			// Edit link (for dead strings too, to identify them)
			echo("<a href=\"javascript:__TriggerEvent('editstring', true, 'xStringID', '".$str->GetStringID()."');\">Edit</a>");
			
			// Dead string?
			if($backend->RootLastSeen > $str->GetLastSeen())
			{
				// Plus sign and Del link
				echo " +++ ";
				echo("<a href=\"javascript:if(confirm('Are you sure to delete from Translation Memory?')) { __TriggerEvent('deletestring', true, 'xDelStringID', '".$str->GetStringID()."'); }\">Del</a>");
			}
			else
			{
				// Not dead, "push" to stack link
				echo(" | <a href=\"javascript:pushToStack('".$str->GetStringID()."');\">push</a>");
			}
			echo("</td></tr>\n");
		}
	}
	?></table><?
	if($backend->ddlSearchType != 0)
	{
		echo("Displayed ".count($backend->Translations)." results.<br/>");
	}
}
?>

	<!-- *** SEARCH REFRESH CONTROLS *** -->

<select name="ddlFindPercent">
<?
foreach(array(30,40,50,60,70,80,90) as $percent)
{
	$sel = "";
	if($backend->ddlFindPercent == $percent)
	{
		$sel = " selected=\"selected\"";
	}
	echo "<option value=\"$percent\"$sel>&gt; $percent%</option>";
}
?>
</select>
(<input type="checkbox"> Ignore dead strings)
<input type="button" value="Refresh" class="button" onclick="__TriggerEvent('find', true);"/><br/>

</td>

</tr>
</table>
<div class="localeswitch">
<?
	echo "<select name=\"ddlLocaleID\">\n";
	foreach(TranslationProject::$LocaleIDCache as $name => $id)
	{
		$sel = "";
		if($backend->ddlLocaleID == $id)
		{
			$sel = " selected=\"selected\"";
		}
		echo "<option value=\"$id\"$sel>$name</option>\n";
	}
	echo "</select>\n";
?>
<input type="button" value="Switch Locale" class="button" onclick="__TriggerEvent('setlocale', true);"/> |

<? if($CONFIG['enable_web_export']) { ?>
<input type="button" value="Export language pack" class="button" onclick="__TriggerEvent('exportpack', true);"/> |
<? } ?>

<a href="http://xartm.xaraya.hu">Homepage</a> | (c) 2006 Ferenc 'Lion/Kempelen' Veres
</div>
</form>

<script type="text/javascript">

/* EVENT SYSTEM FUNCTIONS */

// Clear eventhandler
document.getElementById('__Event').value = ''; 
document.getElementById('__Form').onsubmit = __FormSubmit(); 

// Set default Event for plain submit
function __FormSubmit()
{
	if(document.getElementById('__Event').value == '')
	{
		document.getElementById('__Event').value = 'find';
	}
}
// Trigger the specified event, fill hidden variables with name,value pairs from variable args list.
function __TriggerEvent(event, confirmEvent, args)
{
	// If field changed, confirm wanted, and not confirmed: cancel operation
	if(document.getElementById('htmlEditorChanged').value == "1" &&
		confirmEvent &&
		!confirm("Discard current editing?"))
	{
		return;
	}

	// Copy custom arguments to object values (the only supported method)
	for(i=2;i<arguments.length;i+=2)
	{
		document.getElementById(arguments[i]).value = arguments[i+1];
	}
	document.getElementById('__Event').value = event;
	document.getElementById('__Form').submit();
}

/* EDITING FUNCTIONS */

// Copy a translation from the search results to current editor
function takeTranslation(stringID)
{
	translation = document.getElementById('results_' + stringID).innerHTML;
	
	// Fix some entities and such
	translation = fixHtmlTags(translation);

	document.getElementById('txtEditString_<? echo $backend->xBrowserHelper ?>').value = translation;
	editorChanged();

	// Move focus and window to editor
	window.scroll(0,0);
	var txtEditString = document.getElementById('txtEditString_<? echo $backend->xBrowserHelper; ?>');
	txtEditString.focus();
	
}

// Fix some entities and such things when picking string from TD contents
function fixHtmlTags(str)
{
	str = str.replace(/\n/g, " ");
	str = str.replace(/\&gt;/g, ">");
	str = str.replace(/\&lt;/g, "<");
	str = str.replace(/\&amp;/g, "&");
	
	return str;
}

// Show or hide the strings table.
function toggleStrings()
{
	if(document.getElementById('divStrings').style.display == 'none')
	{
		document.getElementById('divStrings').style.display = 'block';
	}
	else
	{
		document.getElementById('divStrings').style.display = 'none';
	}
}

// Called when user types in some translation, to confirm losing it.
function editorChanged()
{
	document.getElementById('htmlEditorChanged').value = "1";
}

// Clear the search box
function clearFindText()
{
	document.getElementById('txtFindText').value = "";
}

// Show DIFF-erences to the original string from a picked one
function diffToOriginal(stringID)
{
	// Compare to this
	var testedString = fixHtmlTags(document.getElementById('original_' + stringID).innerHTML);

	// This is the original (if found while displaying search results!)
	var masterString = document.getElementById('htmlOriginalString').value;
	if(masterString == "")
	{
		alert("There is no current string selected to comapre to.");
		return;
	}

	document.getElementById('original_' + stringID).innerHTML = StringDiff(masterString, testedString);
	document.getElementById('diffLink_' + stringID).innerHTML = "";
}

/*
function togglekSearchSelection(chkChecker, stringID)
{
	if(chkChecker.checked)
	{
		document.getElementById('tr_search_' + stringID).style.backgroundColor = "#cccccc";
	} 
	else
	{
		document.getElementById('tr_search_' + stringID).style.backgroundColor = "transparent";
	}
}
*/

/* STACK RELATED FUNCTIONS */

// Push current string id to the stack for later editing
function pushToStack(stringID)
{
	var stackVar = document.getElementById('xStringStack');
	if(stackVar.value != "")
	{
		stackVar.value += ",";
	}
	stackVar.value += stringID;
	
	// Update the stack number list view
	showStack();

}

// Pop the latest string ID from the stack for editing now
function popFromStack()
{
	var stringVar = document.getElementById('xStringID');
	var stackVar = document.getElementById('xStringStack');
	
	if(stackVar.value.length == 0)
	{
		alert("String stack is emtpy.");
		return;
	}

	// Take next or one entry from stack with regexps
	rx1 = new RegExp('^\(.*\),\([0-9]+\)$'); // multiple values with comma
	rx2 = new RegExp('^\([0-9]+\)$'); // one single value
	if(stackVar.value.match(rx1))
	{
		// Multiple values
		var newID = stackVar.value.replace(rx1, "$2");
		var newStack = stackVar.value.replace(rx1, "$1");
	}
	else if(stackVar.value.match(rx2))
	{
		// One single ID in stack
		var newID = stackVar.value;
		var newStack = "";
	}
	
	if(confirm("Take " + newID + " out from stack and edit?"))
	{
		__TriggerEvent('editstring', true, 'xStringID', newID, 'xStringStack', newStack);
	}
}

// Clear stack contents
function clearStack()
{
	var stackVar = document.getElementById('xStringStack');
		
	if(stackVar.value.length == 0)
	{
		alert("String stack is emtpy.");
		return;
	}


	if(confirm("Clear stack?"))
	{
		stackVar.value = "";
		showStack();
	}
	
}

// Display stack info next to the buttons
function showStack()
{
	// Get stack, mark page load time part, remove last comma, add spaces for linebreaking
	var stackVar = document.getElementById('xStringStack');
	var pageLoadStack = document.getElementById('htmlPageLoadStack');
	rx = new RegExp("\(^" + pageLoadStack.value + "\)");
	stackString = stackVar.value;
	stackString = stackString.replace(rx, '<span class="oldstack">$1</span>');
	stackString = stackString.replace(/,/g,", ");

	// Display it
	var stackView = document.getElementById('plhStackView');
	stackView.innerHTML = stackString;

	// Enable/Disable the "save+pop" and "Save to all stack" buttons
	var btnSavePop = document.getElementById('btnSavePopStack');
	if(btnSavePop)
	{
		if(stackVar.value != "")
		{
			btnSavePop.disabled = false;
			btnSavePop.className = "button";
		}
		else
		{
			btnSavePop.disabled = true;
			btnSavePop.className = "button-disabled";
		}
	}
}

// Call the save current string to all stacked IDs function if confirmed and valid
function callSaveToAllStack()
{
	stackVar = document.getElementById('xStringStack');
	
	if(stackVar.value.length == 0)
	{
		alert("String stack is emtpy.");
		return;
	}
	
	if(confirm("Operation will OVERWRITE all strings in the stack and current string!"))
	{
		__TriggerEvent('savetoallstack', false);
	}
}

// Display the stack values on page load
showStack();

<? if(!empty($backend->LocatedString))
{
?>
	var txtEditString = document.getElementById('txtEditString_<? echo $backend->xBrowserHelper; ?>');
	txtEditString.focus();
<?
}
?>

</script>

</body>
</html>
